
README
----------


This repository is a collection of scripts that I utilize throughout my infrastructure.

You can follow issue tracking here https://gitlab.lhprojects.net/lhprojects-information-network/scripts

Scripts
----------

| Command | Description |
| --- | --- |
| backup.sh | Script I use to rsync files to off-site storage center. You can costomize the configuration via backup.conf and then appending it as an argument during the script execution. |
| cachet_notifyV2.php | A script to update issue on Cachet website. |
| convertPTR2InvidiualDomains.php | Migrate PTR records from a single zone to individual zones. |
| createVhosts.sh | Modern VHOST script to create VHOSTS RHEL systems |
| beep-notify.sh | Attempts to emit a beeping sound through system speaker |
| rsync.sh | A rsync script to rsync data to rsync to remote servers |
| monitor_Ip.sh | Place this script in a cron job, when an IP differs, will restart Nginx. See script header for more detials. |
| openbsd_poweroff.sh | My own personal poweroff script for OpenBSD hosts |
| autoattach | A custom script to auto attach to a TMUX session when you first SSH in |
